commit:     456dac570c664995e7f5bc14ed840bc83ddbbe02
Author:     Johannes Huber <johu <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 24 10:23:32 2020 +0000
Commit:     Johannes Huber <johu <AT> gentoo <DOT> org>
CommitDate: Thu Dec 24 10:24:16 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=456dac57

net-vpn/openfortivpn: Version bump 1.15.0

Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Johannes Huber <johu <AT> gentoo.org>

 net-vpn/openfortivpn/Manifest                   |  1 +
 net-vpn/openfortivpn/openfortivpn-1.15.0.ebuild | 38 +++++++++++++++++++++++++
 2 files changed, 39 insertions(+)

diff --git a/net-vpn/openfortivpn/Manifest b/net-vpn/openfortivpn/Manifest
index 88bf1ccd2d8..23e0e4b0c97 100644
--- a/net-vpn/openfortivpn/Manifest
+++ b/net-vpn/openfortivpn/Manifest
@@ -1,2 +1,3 @@
 DIST openfortivpn-1.13.2.tar.gz 82977 BLAKE2B 
5daf2fdacaf2f9c3bc0a4bc3fc26543ed0ab424b70d2795e7b3d74b38cba53b1a8a9823564198ea5292b63f872c12f17ed3f65111a7024faee19640fff765cd7
 SHA512 
6be456784618d0af26190bad4af20a5f7163d3d984e3317fa3aac04b605ddd39f8973b192cf35fc8a371bf5ca4cbff8f644991b0cc031f558bf7881066fe8ec2
 DIST openfortivpn-1.13.3.tar.gz 150681 BLAKE2B 
378837373f743c474233e5c7d0f8698a1bbaa5b2b84c89173547e4d0674e4ffe8949bf105462b7d355e603483577008d7ef99315e78a7511dca043426b668885
 SHA512 
57f87e1f1243b2eb1f4ef17dfacea203c8b11fd0e65440eef4c6b08af0b821c5a087a85d98423540114a7d977d12c4a99d0edcc348f0107fd230f573e3df0fbf
+DIST openfortivpn-1.15.0.tar.gz 157951 BLAKE2B 
051dbc5ab5c003926fa4424b9c69e899bc9602aabab7749953743d1d81e0ebd90ebdf157921cabc016cf93263279eab111ed1b9763fb4ba50a11f463659be2dd
 SHA512 
8ec6454c197925a031a454e3983ed98d93d48514d86ebb09483157872e299d9c6b36a966ac6c67cd85d203223460998cdc0e6af9d5389357d4a55789aa5e2083

diff --git a/net-vpn/openfortivpn/openfortivpn-1.15.0.ebuild 
b/net-vpn/openfortivpn/openfortivpn-1.15.0.ebuild
new file mode 100644
index 00000000000..2cda60426dc
--- /dev/null
+++ b/net-vpn/openfortivpn/openfortivpn-1.15.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools linux-info
+
+DESCRIPTION="Fortinet compatible VPN client"
+HOMEPAGE="https://github.com/adrienverge/openfortivpn";
+SRC_URI="https://github.com/adrienverge/openfortivpn/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="GPL-3-with-openssl-exception openssl"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="libressl"
+
+DEPEND="
+       net-dialup/ppp
+       !libressl? ( dev-libs/openssl:0= )
+       libressl? ( dev-libs/libressl:0= )
+"
+RDEPEND="${DEPEND}"
+
+CONFIG_CHECK="~PPP ~PPP_ASYNC"
+
+src_prepare() {
+       default
+
+       sed -i 's/-Werror//g' Makefile.am || die "Failed to remove -Werror from 
Makefile.am"
+
+       eautoreconf
+}
+
+src_install() {
+       default
+
+       keepdir /etc/openfortivpn
+}

Reply via email to